import 'package:test/test.dart';
import 'package:web3dart_go_core/crypto.dart';
import 'package:web3dart_go_core/src/utils/typed_data.dart';
import 'package:web3dart_go_core/src/utils/rlp.dart' as rlp;

void main() {
  test('strip 0x prefix', () {
    expect(strip0xOrPrefix('0x12F312319235'), '12F312319235');
    expect(strip0xOrPrefix('123123'), '123123');
  });

  test('hexToDartInt', () {
    expect(hexToDartInt('0x123'), 0x123);
    expect(hexToDartInt('0xff'), 0xff);
    expect(hexToDartInt('abcdef'), 0xabcdef);
  });

  test('bytesToHex', () {
    int bytes = 0;

    final encoded = uint8ListFromList(rlp.encode([bytes]));
    var hexed = bytesToHex(encoded, include0x: true);
    expect(hexed, "0xc180");
  });
  test('elp test', () {
    expect(bytesToHex([3], padToEvenLength: true), '03');
    expect(bytesToHex([3], forcePadLength: 3), '003');
  });
}
